#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("CAU1_15.INP");
    ofstream f2("CAU1_15.OUT");
    int a,b,c,i,j,dem=0;
    f1>>a>>b>>c;
    for(i=1;i<=(c-b)/a;i++)
    {
        for(j=1;j<=(c-a)/b;j++)
        {
            if(a*i+b*j==c)dem++;
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
